INTENT_PATTERNS = {
    "Financial_And_Corporate": [
        r"financial|finance|money|economic",
        r"corporate|corporation|company|business",
        r"investment|invest|fund|stock|market",
        r"banking|bank|account|transaction",
        r"trading|trader|trade|exchange",
        r"asset|liability|capital|equity",
        r"profit|revenue|income|earning",
        r"budget|expense|cost|spending",
        r"insurance|policy|premium|claim",
        r"loan|mortgage|debt|credit",
        r"tax|taxation|fiscal|audit",
        r"LLC|holdings|enterprise|venture"
    ],
    
    "Health_And_Wellness": [
        r"health|healthy|wellness|wellbeing",
        r"medical|medicine|medication|drug",
        r"disease|condition|symptom|diagnosis",
        r"doctor|physician|specialist|clinic",
        r"treatment|therapy|prescription|dose",
        r"mental health|anxiety|depression|stress",
        r"diet|nutrition|eating|food",
        r"exercise|fitness|workout|training",
        r"hospital|healthcare|patient|care",
        r"surgery|procedure|operation|treatment",
        r"recovery|rehabilitation|healing",
        r"prevention|preventive|preventative"
    ],
    
    "Employment_And_Applications": [
        r"employ|employment|job|work",
        r"career|profession|occupation|position",
        r"hire|hiring|recruitment|recruiting",
        r"resume|CV|application|apply",
        r"interview|interviewing|candidate",
        r"salary|wage|compensation|pay",
        r"experience|skill|qualification",
        r"company|employer|workplace|office",
        r"promotion|advance|career growth",
        r"layoff|fired|termination|quit",
        r"role|responsibility|duty|task",
        r"remote work|hybrid|office"
    ],
    
    "Academic_And_Education": [
        r"school|university|college|academy",
        r"student|teacher|professor|faculty",
        r"class|course|lecture|lesson",
        r"study|learning|education|academic",
        r"grade|score|mark|assessment",
        r"exam|test|quiz|assignment",
        r"degree|diploma|certificate|qualification",
        r"research|thesis|dissertation|paper",
        r"homework|project|study|assignment",
        r"semester|term|academic year",
        r"curriculum|syllabus|program",
        r"tutoring|teaching|instruction"
    ],
    
    "Legal": [
        r"legal|law|lawyer|attorney",
        r"court|judicial|judge|justice",
        r"contract|agreement|document|deed",
        r"lawsuit|litigation|case|suit",
        r"rights|obligations|duties|liability",
        r"criminal|civil|statute|regulation",
        r"evidence|testimony|witness|proof",
        r"plaintiff|defendant|party|counsel",
        r"settlement|resolution|dispute",
        r"jurisdiction|venue|court",
        r"appeal|motion|petition|filing",
        r"compliance|violation|breach"
    ],
    
    "Personal_Relationships": [
        r"relationship|dating|romance|love",
        r"family|relative|parent|child",
        r"marriage|wedding|spouse|partner",
        r"friendship|friend|companion",
        r"breakup|divorce|separation",
        r"conflict|issue|problem|concern",
        r"emotional|feeling|trust|bond",
        r"communication|talk|discuss",
        r"support|help|advice|guidance",
        r"social|interaction|connection",
        r"commitment|loyalty|trust",
        r"family dynamics|relatives"
    ],
    
    "Travel": [
        r"travel|trip|journey|tour",
        r"vacation|holiday|getaway",
        r"flight|airline|airport|plane",
        r"hotel|accommodation|stay|lodging",
        r"destination|location|place|spot",
        r"booking|reservation|itinerary",
        r"transport|transportation|travel",
        r"tourist|tourism|sightseeing",
        r"passport|visa|document",
        r"guide|tour|excursion",
        r"international|domestic|local",
        r"adventure|exploration|discover"
    ],
    
    "Fandom": [
        r"fan|fandom|fanbase|community",
        r"movie|film|show|series",
        r"character|protagonist|hero",
        r"story|plot|narrative|arc",
        r"episode|season|chapter",
        r"game|gaming|player|play",
        r"comic|manga|anime|book",
        r"franchise|series|universe",
        r"theory|speculation|discussion",
        r"cosplay|convention|event",
        r"fan art|fan fiction|creative",
        r"merchandise|collectible"
    ],
    
    "Hobbies_And_Habits": [
        r"hobby|interest|pastime|activity",
        r"collect|collecting|collector",
        r"craft|crafting|DIY|make",
        r"sport|game|play|competition",
        r"art|drawing|painting|create",
        r"music|instrument|play|perform",
        r"garden|gardening|plant|grow",
        r"cook|cooking|bake|recipe",
        r"read|reading|book|literature",
        r"photography|photo|camera",
        r"exercise|workout|fitness",
        r"habit|routine|practice"
    ],
    
    "Sexual_And_Erotic": [
        r"sex|sexual|intimate|erotic",
        r"relationship|partner|couple",
        r"attraction|desire|passion",
        r"consent|boundary|limit",
        r"preference|orientation|identity",
        r"safe|safety|protection|health",
        r"intimacy|intimate|private",
        r"pleasure|satisfaction|desire",
        r"dating|romance|romantic",
        r"body|physical|anatomy",
        r"adult|mature|explicit",
        r"relationship dynamics"
    ],
    
    "Politics": [
        r"politic|political|policy",
        r"government|state|administration",
        r"election|vote|voting|ballot",
        r"party|candidate|campaign",
        r"democracy|democratic|republic",
        r"law|legislation|bill|act",
        r"congress|parliament|assembly",
        r"debate|discussion|issue",
        r"public|citizen|civic",
        r"reform|change|policy",
        r"international|domestic|national",
        r"activist|advocacy|movement"
    ],
    
    "Religion": [
        r"religion|religious|faith|belief",
        r"god|deity|divine|sacred",
        r"worship|prayer|meditation",
        r"church|temple|mosque|shrine",
        r"spiritual|spirituality|soul",
        r"ritual|ceremony|practice",
        r"bible|scripture|text|holy",
        r"community|congregation|group",
        r"tradition|custom|practice",
        r"belief|faith|doctrine",
        r"moral|ethics|values",
        r"festival|celebration|holiday"
    ]
}